/*******************************************************************************
                                                     
Two functions for quickly ang simply converting font settings to string and back.
           .
                                                     
Copyright (C) 2007-2008 Iliashenko Gennadii.
                                                     
*******************************************************************************/

#include <vcl.h>
//---------------------------------------------------------------------------
#include "convert.h"
//---------------------------------------------------------------------------
//     
//  Converting font settings to string
AnsiString __fastcall ConvertFontToString(TFont *Font)
{
AnsiString Name     = Font->Name;
AnsiString Size     = AnsiString(Font->Size);
AnsiString Color    = ColorToString(Font->Color);
AnsiString Style    = "0000";
if (Font->Style.Contains(fsBold))
    {
    Style[1] = '1';
    }
if (Font->Style.Contains(fsItalic))
    {
    Style[2] = '1';
    }
if (Font->Style.Contains(fsUnderline))
    {
    Style[3] = '1';
    }
if (Font->Style.Contains(fsStrikeOut))
    {
    Style[4] = '1';
    }
return Name + "," + Size + "," + Color + "," + Style;;
}
//---------------------------------------------------------------------------
//     
//  Converting string to font settings
TFont *__fastcall ConvertStringToFont(AnsiString Font)
{
TFont *Result = new TFont();
AnsiString Name, Size, Color, Style;
int pos;
//    
//  getting font name
for (int i = 1; i < Font.Pos(","); i ++)
    {
    Name = Name + Font[i];
    pos = i + 1;
    }
Font.Delete(1, pos);
Result->Name = Name;
//   ,
//  it`s size,
for (int i = 1; i < Font.Pos(","); i ++)
    {
    Size = Size + Font[i];
    pos = i + 1;
    }
Font.Delete(1, pos);
Result->Size = Size.ToInt();
//  ,
//  color,
for (int i = 1; i < Font.Pos(","); i ++)
    {
    Color = Color + Font[i];
    pos = i + 1;
    }
Font.Delete(1, pos);
Result->Color = StringToColor(Color);
//   
//  and styles (bold, italic etc)
Style = Font;
if (Style[1] == '1')
    {
    Result->Style = Result->Style << fsBold;
    }
if (Style[2] == '1')
    {
    Result->Style = Result->Style << fsItalic;
    }
if (Style[3] == '1')
    {
    Result->Style = Result->Style << fsUnderline;
    }
if (Style[4] == '1')
    {
    Result->Style = Result->Style << fsStrikeOut;
    }
return Result;
}
//---------------------------------------------------------------------------